## org.eclipse.emf.ecore.impl
Class EPackageRegistryImpl.Delegator

    java.lang.Object
      org.eclipse.emf.ecore.impl.EPackageRegistryImpl.Delegator

All Implemented Interfaces:
  java.util.Map<java.lang.String,java.lang.Object>, EPackage.Registry

Enclosing class:
  EPackageRegistryImpl

    public static class EPackageRegistryImpl.Delegator

extends java.lang.Object
implements EPackage.Registry

A package registry implementation that delegates to a class loader specific registry.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EPackage.Registry
`INSTANCE`

Constructor Summary
`EPackageRegistryImpl.Delegator()`

Method Summary
`void` `clear()`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`protected EPackage.Registry` `delegateRegistry()`
`protected EPackage.Registry` `delegateRegistry(java.lang.ClassLoader classLoader)`
`java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>>` `entrySet()`
`java.lang.Object` `get(java.lang.Object key)`
`EFactory` `getEFactory(java.lang.String key)` Looks up the value in the map, converting `EPackage.Descriptor` objects to `EFactory` objects on demand.
`EPackage` `getEPackage(java.lang.String key)` Looks up the value in the map, converting `EPackage.Descriptor` objects to `EPackage` objects on demand.
`boolean` `isEmpty()`
`java.util.Set<java.lang.String>` `keySet()`
`java.lang.Object` `put(java.lang.String key, java.lang.Object value)`
`void` `putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> map)`
`java.lang.Object` `remove(java.lang.Object key)`
`int` `size()`
`java.util.Collection<java.lang.Object>` `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### EPackageRegistryImpl.Delegator

    public EPackageRegistryImpl.Delegator()

Method Detail

### delegateRegistry

    protected EPackage.Registry delegateRegistry(java.lang.ClassLoader classLoader)

### delegateRegistry

    protected EPackage.Registry delegateRegistry()

### getEPackage

    public EPackage getEPackage(java.lang.String key)

  Description copied from interface: `EPackage.Registry`
  Looks up the value in the map, converting `EPackage.Descriptor` objects to `EPackage` objects on demand.

  Specified by:
    `getEPackage` in interface `EPackage.Registry`

### getEFactory

    public EFactory getEFactory(java.lang.String key)

  Description copied from interface: `EPackage.Registry`
  Looks up the value in the map, converting `EPackage.Descriptor` objects to `EFactory` objects on demand.

  Specified by:
    `getEFactory` in interface `EPackage.Registry`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### put

    public java.lang.Object put(java.lang.String key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### putAll

    public void putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> map)

  Specified by:
    `putAll` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### keySet

    public java.util.Set<java.lang.String> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### values

    public java.util.Collection<java.lang.Object> values()

  Specified by:
    `values` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.